/****************************************************************

file post_proc_kub.h

Hashing package for Diophantine equations,
Version 1.0

Copyright (C) 2006 A.-S. Elsenhans and J. Jahnel

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

Address of the authors

	A.-S. Elsenhans/ J. Jahnel
	Math. Institut der Universitaet
	Bunsenstrasze 3--5
	D-37073 Goettingen
        Germany

WWW     http://www.uni-math.gwdg.de/jahnel

*****************************************************************/


/* Some prototypes. */
/* post_proc_kub.c */
void counter_init ();
void counter_out ();
void post_proc (struct nebentabellen_eintrag nt,
                struct variablen_rechts r);

/* ger.c */
void ger_gl_init ();
inline void out (long int p);
inline void voll_out (long int *x, long int a, long int b);
void cursor_init ();
inline void verd_out
  (long int x, long int y, long int z, long int v, long int w,
   long int a, long int b);
int ger_init (int lim);
int test (long int lim, long int a, long int b, long int *x);
int bekannt (long int a, long int b,
             long int x, long int y,
             long int z, long int v, long int w);
